slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMEAppendOptionsPrefix

Appends to the prefix used for searching for all LME options in the database.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEAppendOptionsPrefix(LME lme,const char *prefix)

Logically Collective

### Input Parameters

| lme | - the linear matrix equation solver context
| prefix | - the prefix string to prepend to all LME option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

LMESetOptionsPrefix(), LMEGetOptionsPrefix()

### Level

advanced

### Location

src/lme/interface/lmeopts.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages